Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.interceptor
Class AbstractAttributedInterceptorProvider

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<String,Object>
              org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>, InterceptorProvider

Direct Known Subclasses:
  AbstractPolicyInterceptorProvider

    public abstract class AbstractAttributedInterceptorProvider

extends HashMap<String,Object>
implements InterceptorProvider

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`AbstractAttributedInterceptorProvider()`

Method Summary
`boolean` | `equals(Object o)`
`List<Interceptor<? extends Message>>` | `getInFaultInterceptors()` Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
`List<Interceptor<? extends Message>>` | `getInInterceptors()` Returns the list of interceptors attached to the incoming interceptor chain of the object.
`List<Interceptor<? extends Message>>` | `getOutFaultInterceptors()` Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
`List<Interceptor<? extends Message>>` | `getOutInterceptors()` Returns the list of interceptors attached to the outgoing interceptor chain of the object.
`int` | `hashCode()`
`void` | `setInFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
`void` | `setInInterceptors(List<Interceptor<? extends Message>> interceptors)`
`void` | `setOutFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
`void` | `setOutInterceptors(List<Interceptor<? extends Message>> interceptors)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractAttributedInterceptorProvider

    public AbstractAttributedInterceptorProvider()

Method Detail

### getOutFaultInterceptors

    public List<Interceptor<? extends Message>> getOutFaultInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.

  Specified by:
    `getOutFaultInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` outgoing fault interceptor chain

### getInFaultInterceptors

    public List<Interceptor<? extends Message>> getInFaultInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the incoming fault interceptor chain of the object.

  Specified by:
    `getInFaultInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` incoming fault interceptor chain

### getInInterceptors

    public List<Interceptor<? extends Message>> getInInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the incoming interceptor chain of the object.

  Specified by:
    `getInInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` incoming interceptor chain

### getOutInterceptors

    public List<Interceptor<? extends Message>> getOutInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the outgoing interceptor chain of the object.

  Specified by:
    `getOutInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` outgoing interceptor chain

### setInInterceptors

    public void setInInterceptors(List<Interceptor<? extends Message>> interceptors)

### setInFaultInterceptors

    public void setInFaultInterceptors(List<Interceptor<? extends Message>> interceptors)

### setOutInterceptors

    public void setOutInterceptors(List<Interceptor<? extends Message>> interceptors)

### setOutFaultInterceptors

    public void setOutFaultInterceptors(List<Interceptor<? extends Message>> interceptors)

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map<String,Object>`
  Overrides:
    `equals` in class `AbstractMap<String,Object>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<String,Object>`
  Overrides:
    `hashCode` in class `AbstractMap<String,Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF